# Conversation Participants

A participant can send and receive messages in a conversation. There are different types of participants. Depending on the type, the meaning of the participant ID changes:

<table><thead><tr><th width="207">Participant type</th><th width="315">Description</th><th>Meaning of participant ID</th></tr></thead><tbody><tr><td><code>accessKey</code></td><td>A Bird API access key. This is what you'll commonly use when sending messages through the Conversations API</td><td>Access key ID</td></tr><tr><td><code>user</code></td><td>A user belonging to your workspace. This will typically represent customer service agents.</td><td>User ID</td></tr><tr><td><code>contact</code></td><td>A contact. This represents your customer, lead, or end-user.</td><td>Contact ID</td></tr><tr><td><code>flow</code></td><td>A Bird flow</td><td>Flow ID</td></tr><tr><td><code>bot</code></td><td>An AI LLM bot</td><td>Bot ID</td></tr><tr><td><code>connector</code></td><td>A campaign message</td><td>Connector ID</td></tr><tr><td><code>channel</code></td><td>Used by instagram echo messages</td><td>Channel ID</td></tr><tr><td><code>collaborationAutomation</code></td><td>Actions automatically executed by Action Rules</td><td>Action Rule ID</td></tr></tbody></table>

## Identifier Keys and Values

In Bird, a message recipient is identified by an "identifier key" and "identifier value" pair which depend on the platform of the channel being used:

* In an email channel, `identifierKey` is `emailaddress` and `identifierValue` is the email address of the recipient, e.g. `john.doe@example.com`
* In WhatsApp, RCS, SMS, and Viber, `identifierKey` is `phonenumber` and `identifierValue` is the phone number with an international call prefix, such as `+31612345678`
* Remaining channels have custom `identifierKey` and `identifierValue` formats that can be extracted from messages after an initial user interaction:
  * In Facebook, an example identifier key is `facebookid-164849000012345` and an example identifier value is `720197540012345`
  * In Apple Business Chat, an example identifier key is `applebc-c72f4be3-2773-4ad4-86cf-6a6b4b3cb837` and an example identifier value is `urn:mbid:c29tZSByYW5kb20gYmFzZTY0IGNvbnRlbnQ=`

Some APIs allow you to refer to a conversation participant in two ways, either by specifying their participant ID, or by specifying their identifier key and identifier value pair.

## API Reference Guide

1. [Add participant to conversation](/api/conversations-api/api-reference/conversation-participants/add-participant-to-conversation.md)
2. [List participants](/api/conversations-api/api-reference/conversation-participants/list-participants.md)
3. [Get participant by ID](/api/conversations-api/api-reference/conversation-participants/get-participant-by-id.md)
4. [Get participant by identifier key and value](/api/conversations-api/api-reference/conversation-participants/get-participant-by-identifier-key-and-value.md)
5. [Update participant by ID](/api/conversations-api/api-reference/conversation-participants/update-participant-by-id.md)
6. [Update participant by identifier key and value](/api/conversations-api/api-reference/conversation-participants/update-participant-by-v-key-and-value.md)
7. [Delete participant](/api/conversations-api/api-reference/conversation-participants/delete-participant.md)
8. [List participant conversations by ID](/api/conversations-api/api-reference/conversation-participants/list-participant-conversations-by-id.md)
9. [List participant conversations by identifier key and value](/api/conversations-api/api-reference/conversation-participants/list-participant-conversations-by-identifier-key-and-value.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/conversation-participants.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
